#define WEPFLAGS_GOTWEAPON  1
#define WEPFLAGS_WEAPONSTAY 2

#define CHOICECOUNT         5
#define CHOICECOUNT_U       (UNIQUECOUNT*2)

#define S_WEP               0
#define S_AMMO1             1
#define S_AMMO2             2
#define S_CHECKITEM         3
#define S_CHECKFAILITEM     4

#define U_UNIQUE1           0
#define U_AMMO1             1
#define U_UNIQUE2           2
#define U_AMMO2             3

#define SLOT_UNIQUE        -1
#define SLOT_FIST           0
#define SLOT_CHAINSAW       1
#define SLOT_PISTOL         2
#define SLOT_SHOTGUN        3
#define SLOT_SUPERSHOTGUN   4
#define SLOT_SSG            4
#define SLOT_CHAINGUN       5
#define SLOT_ROCKETLAUNCHER 6
#define SLOT_PLASMARIFLE    7
#define SLOT_BFG9000        8
#define SLOT_BFG            8
#define SLOT_PUNCHDRUNKSAW  9

int ClassUniques[CLASSCOUNT][CHOICECOUNT_U] = 
{
    {"DoomguyBerserker",    "",                 "", ""},
    {"ChexSoulsphere",      "",                 "", ""},
    {"ArtiEgg2",            "",                 "", ""},
    {"WolfExtraLife",       "",                 "", ""},
    {"PortMysticAmbit",     "",                 "", ""},
    {"DukePortJetpack",     "DukeJetpackFuel",  "", ""},
    {"Alien Weapon",        "UnknownAmmo",      " Alien Weapon ", "UnknownAmmo2"},
    {"Laser Cannon",        "Cell",             "", ""},
    {"Excalibat",   		"BMissiles", 		"", ""}, // Added this
	{"BlakeShield",			"",					"", ""}, // Added this
	{"VoodooDoll",			"Voodoo",			"Guns Akimbo",    ""}, // Added this
    {"StrifeMapScanner",    "",                 "StrifeBeaconItem2", ""}, // Added this.
    {"Doom64GuyBerserk",    "",                 "", ""},
    {" Boomerang ",    "BoomerangAmmo",                 "", ""},
    {"C7ProxyMinePickup",   "C7ProxyMineAmmo",     "", ""}, // Added this.	
    {"RMROxygenRecycler",   "",     "", ""}, // Added this.		
};

int UniqueMaxes[CLASSCOUNT][CHOICECOUNT_U] = 
{
    {0,     0,      0,  0},
    {0,     0,      0,  0},
    {16,    0,      0,  0},
    {9,     0,      0,  0},
    {16,    0,      0,  0},
    {1,     100,    0,  0},
    {1,     50,     1,  50},
    {1,     0,      0,  0},
	{1,		10,		0,	0}, // added these -- ipfreeley
	{0,     0,      0,  0}, // added this -- blake
	{1,     100,    0,  0},  // added this -- caleb
    {0,     0,      0,  0}, // Added this -- strife	
    {0,     0,      0,  0}, // added this -- d64guy
    {1,     10,      0,  0}, // added this -- erad	
    {1,     30,      0,  0}, // added this -- C7		
    {0,     0,      0,  0}, // Added this -- RMR	
};

int UniqueCounts[CLASSCOUNT][CHOICECOUNT_U] =
{
    {-1,    -1,     -1, -1},
    {-1,    -1,     -1, -1},
    {-1,    -1,     -1, -1},
    {-1,    -1,     -1, -1},
    {-1,    -1,     -1, -1},
    {-1,    -1,     -1, -1},
    {-1,    -1,     -1, -1},
    {-1,     0,     -1, -1},
	{-1,	-1,		-1, -1}, // added these -- ip freeley
	{-1,    -1,     -1, -1}, // added these -- blake
	{-1,    -1,     -1, -1}, // added these -- caleb
    {-1,    -1,     -1, -1}, // Added this -- strife	
    {-1,    -1,     -1, -1},
    {-1,    -1,     -1, -1},
    {-1,    -1,     -1, -1},
    {-1,    -1,     -1, -1},		
};

int UniqueScripts[CLASSCOUNT] = {0, 0, 0, 0, 0, 0, SAMSARA_MARATHON, 0};

int ClassWeapons[CLASSCOUNT][SLOTCOUNT][CHOICECOUNT] = 
{
    {   // Doomguy
        {" Fist ",                          "",             "",             "", ""},
        {" Chainsaw ",                      "",             "",             "", ""},
        {" Pistol ",                        "",             "",             "", ""},
        {" Shotgun ",                       "Shell",        "",             "", ""},
        {"Super Shotgun",                   "Shell",        "",             "", ""},
        {" Chaingun ",                      "Clip",         "",             "", ""},
        {"Rocket Launcher",                 "RocketAmmo",   "",             "", ""},
        {"Plasma Rifle",                    "Cell",         "",             "", ""},
        {"B.F.G. 9000",                     "Cell",         "",             "", ""},
        {" Chainsaw ",                      "",             "",             "", ""},
    },

    {   // Chexguy
        {" Bootspoon ",                     "",             "",             "", ""},
        {"Super Bootspork",                 "",             "",             "", ""},
        {"Mini-Zorcher",                    "",             "",             "", ""},
        {"Large Zorcher",                   "Shell",        "",             "", ""},
        {"Super Large Zorcher",             "Shell",        "",             "", ""},
        {"Rapid Zorcher",                   "Clip",         "",             "", ""},
        {"Zorch Propulsor",                 "RocketAmmo",   "",             "", ""},
        {"Phasing Zorcher",                 "Cell",         "",             "", ""},
        {"LAZ Device",                      "Cell",         "",             "", ""},
        {"Super Bootspork",                 "",             "",             "", ""},
    },

    {   // Corvus
        {" Staff ",                         "",             "",             "", ""},
        {"Gauntlets of the Necromancer",    "",             "",             "", ""},
        {"Elven Wand",                      "",             "",             "", ""},
        {" Firemace ",                      "Shell",        "",             "", ""},
        {"Ethereal Crossbow",               "Shell",        "",             "", ""},
        {"Dragon Claw",                     "Clip",         "",             "", ""},
        {"Phoenix Rod",                     "RocketAmmo",   "",             "", ""},
        {"Hellstaff",                       "Cell",         "",             "", ""},
        {"PortTomeCoop",                    "",             "",             "", ""},
        {"Gauntlets of the Necromancer",    "",             "",             "", ""},
    },

    {   // B.J.
        {"Knife",                           "",             "",             "", ""},
        {"BJSuperKnife",                    "",             "",             "", ""},
        {"Luger",                           "",             "",             "", ""},
        {"Machine Gun",                     "Clip",         "",             "", ""},
        {"Machine Gun",                     "Clip",         "",             "", ""},
        {"  Chaingun  ",                    "Clip",         "",             "", ""},
        {" Rocket Launcher ",               "RocketAmmo",   "",             "", ""},
        {" Flamethrower ",                  "Cell",         "",             "", ""},
        {"Spear of Destiny",                "Cell",         "",             "", ""},
        {"BJUberKnife",                     "",             "",             "", ""},
    },

    {   // Parias
        {"Mace of Contrition",              "",             "",             "", ""},
        {"PortFlechette",                   "",             "",             "", ""},
        {"Sapphire Wand",                   "",             "",             "", ""},
        {"Frost Shards",                    "Clip",         "",             "", ""},
        {"Timon's Axe",                     "Clip",         "",             "", ""},
        {"Serpent Staff",                   "Clip",         "",             "", ""},
        {"Hammer of Retribution",           "Cell",         "",             "", ""},
        {"Firestorm",                       "Cell",         "",             "", ""},
        {"Wraithverge",                     "Cell",         "",             "", ""},
        {"PortFlechette",                   "",             "",             "", ""},
    },

    {   // Duke
        {"Mighty Boot",                     "",             "",             "", ""},
        {"Pipebombs",                       "RocketAmmo",   "",             "", ""},
        {"Glock 17",                           "",             "",             "", ""},
        {"  Shotgun  ",                     "Shell",        "",             "", ""},
        {"Explosive Shotgun",               "RocketAmmo",   "",             "", ""},
        {"Chaingun Cannon",                 "Clip",         "",             "", ""},
        {"RPG",                             "RocketAmmo",   "",             "", ""},
        {"Freezethrower",                   "Cell",         "",             "", ""},
        {"Devastator",                      "Cell",         "",             "", ""},
        {"CalmYoLegsDuke",                  "",             "",             "", ""},
    },

    {   // Security Officer
        {"Steel Knuckles",                  "",             "",             "",                 ""},
        {"KKV-7 SMG Flechette",             "Clip",         "",             "CanDualPistols",   ""},
        {".44 Magnum Mega Class A1",        "",             "",             "",                 ""},
        {"WSTE-M5 Combat Shotgun",          "Shell",        "",             "CanDualShotties",  "LevelLimiter"},
        {"Fusion Pistol",                   "FusionBullet", "Cell",         "",                 ""},
        {"MA-75B Assault Rifle",            "RifleBullet",  "Clip",         "",                 ""},
        {"SPNKR-XP SSM Launcher",           "SpankerAmmo",  "RocketAmmo",   "",                 ""},
        {"TOZT-7 Napalm Unit",              "NapalmInTank", "Cell",         "",                 ""},
        {"ONI-71 Wave Motion Cannon",       "Cell",         "RocketAmmo",   "",                 ""},
        {"Tech.50 Pacifier",                "",             "",             "",                 ""},
    },
	
    {   // Ranger
        {"Axe",                             "",             "",             "", ""},
        {"Mjolnir",                         "",             "",             "", ""},
        {"Single Shotgun",                  "",             "",             "", ""},
        {"Double Shotgun",                  "Shell",        "",             "", ""},
        {"Grenade Launcher",                "RocketAmmo",   "",             "", ""},
        {"Nailgun",                         "Clip",         "",             "", ""},
        {"  Rocket Launcher  ",             "RocketAmmo",   "",             "", ""},
        {"Super Nailgun",                   "Clip",         "",             "", ""},
        {"Thunderbolt",                     "Cell",         "",             "ForceCheck", ""},
        {"Gauntlet",                        "",             "",             "", ""},
    },
    {   // I.P. Freely
        {"RottKnife",                                "",             "",             "", ""},
        {"Double Pistols",                  "",             "",             "", ""},
        {"RPistol",                  		"",             "",             "", ""},
        {"MP40",                            "",    			"",             "", ""},
        {"Bazooka",                         "RottMissiles", "Shell",             "", ""},
        {"Split Missile",                   "SMissiles",    "Clip",             "", ""},
        {" FireBomb ",                      "FBMissiles",   "RocketAmmo",             "", ""},
        {"DrunkMissiles",                   "DMissiles",    "Cell",             "", ""},
        {"Flamewall",                       "FWMissiles",   "Cell",             "", ""},
    },
	{	// Blake Stone
        {"",                                "",             "",             "", ""},
        {"BlakeRefill",                     "",             "",             "", ""},
        {"Auto Charge Pistol",              "",             "",             "", ""},
        {"Slow Fire Protector",             "Shell",    "",             "", ""},
        {"Heavy Assault Rifle",             "Shell",    "",             "", ""},
        {"Rapid Assault Rifle",             "Clip",    		"",             "", ""},
        {"Plasma Discharge Unit",           "RocketAmmo",   "",             "", ""},
        {"Dual Neutron Disruptor",          "Cell",    		"",             "", ""},
        {"Anti-Plasma Cannon",              "Cell",   		"",             "", ""},
	},
	{	// Caleb
        {"Pitchfork",                       "",             "",             "", ""},
        {"Dynamite",                        "RocketAmmo",             "",             "", ""},
        {"   Revolver   ",                                "",             "",             "", ""},
        {"Flaregun",             			"Shell",    "",             "", ""},
        {"SawedOff",             			"Shell",    "",             "", ""},
        {"Tommygun",             			"Clip",    		"",             "", ""},
        {"NapalmLauncher",           		"RocketAmmo",   "",             "", ""},
        {"TeslaCannon",          			"Cell",    		"",             "", ""},
        {"LifeLeech",              			"Cell",   		"",             "", ""},	
	},
    {   // Strifeguy
        {"Punch Dagger",                    "",             "",             "", ""}, // Fist
        {"Upgrades",                        "",             "",             "", ""}, // Chainsaw
        {"   Pistol   ",                      "",             "",             "", ""}, // Pistol
        {"  Crossbow  ",       				"Shell",        "",             				"", ""}, // Shotgun
        {"Mini Missile Launcher",           "RocketAmmo",   "",             "", ""}, // Super Shotgun
        {"Assault Gun",                     "Clip",         "",             "", ""}, // Chaingun
        {" Grenade Launcher ", 				"RocketAmmo",   "",             				"", ""}, // Rocket Launcher
        {"Flame Thrower",                   "Cell",         "",             "", ""}, // Plasma Rifle
        {" Mauler ",        				"Cell",         "",             				"", ""}, // BFG9000
        {"Upgrades",                        "",             "",             "", ""}, // Punchdrunk Chainsaw
    },
    {   // Doom 64 Guy
        {"  Fist  ",                        "",             "",             "", ""},
        {"  Chainsaw  ",                    "",             "",             "", ""},
        {"  Pistol  ",                      "",             "",             "", ""},
        {"   Shotgun   ",                   "Shell",        "",             "", ""},
        {" Super Shotgun ",                 "Shell",        "",             "", ""},
        {"   Chaingun   ",                  "Clip",         "",             "", ""},
        {"   Rocket Launcher   ",           "RocketAmmo",   "",             "", ""},
        {" Plasma Rifle ",                  "Cell",         "",             "", ""},
        {" B.F.G. 9000 ",                   "Cell",         "",             "", ""},
        {"  Chainsaw  ",                    "",             "",             "", ""},
    },
    {   // Eleena
        {"  Claw  ",                        "",             "",             "", ""},
        {" Arachnicator ",                    "RocketAmmo",             "",             "", ""},
        {"  Ripper Disc  ",                      "",             "",             "", ""},
        {"  Sonic Shock  ",                   "Shell",        "",             "", ""},
        {"Pellet Bomb",                 "Shell",        "",             "", ""},
        {"  Dart Cannon  ",                  "Clip",         "",             "", ""},
        {"    Missile Launcher    ",           "RocketAmmo",   "",             "", ""},
        {"Napalm Charge",                  "Cell",         "",             "", ""},
        {" Plasma Ball ",                   "Cell",         "",             "", ""},
    },
    {   // C7
        {"",                   "",             "",             "", ""}, // Fist
        {"M24CAW",             "Clip",         "",             "", ""}, // Chainsaw
        {"Taser",              "",             "",             "", ""}, // Pistol
        {"M343Vulcan",         "Shell",         "",             "", ""}, // Shotgun
        {"AssaultShotgun",     "Shell",         "",             "", ""}, // Super Shotgun
        {"AlienDualBlaster",   "Clip",         "",             "", ""}, // Chaingun
        {"AlienPlasmaRifle",   "RocketAmmo",         "",             "", ""}, // Rocket Launcher
        {"AlienAssaultCannon", "Cell",         "",             "", ""}, // Plasma Rifle
        {"AlienDisintegrator", "Cell",         "",             "", ""}, // BFG9000
        {"",                   "",             "",             "", ""}, // Punchdrunk Chainsaw
	},
    {   // RMR
        {"",                   "",             "",             "", ""}, // Fist
        {"DirtShark",             "",         "",             "", ""}, // Chainsaw
        {" Laser Pistol ",              "",             "",             "", ""}, // Pistol
        {"ACR Laser Rifle",         "Shell",         "",             "", ""}, // Shotgun
        {"ACR ADD-ON",     "Shell",         "",             "", ""}, // Super Shotgun
        {"RMR Railgun",   "Clip",         "",             "", ""}, // Chaingun
        {"RMR Grenade Launcher",         "",             "", ""}, // Rocket Launcher
        {"Cyclops Particle Accelerator", "Cell",         "",             "", ""}, // Plasma Rifle
        {" RMR Plasma Cannon ", "Cell",         "",             "", ""}, // BFG9000
        {"",                   "",             "",             "", ""}, // Punchdrunk Chainsaw
	},	
};

int ClassScripts[CLASSCOUNT][SLOTCOUNT] = 
{
    {0,0,                   0,  0,0,0,0,0,0,0},
    {0,0,                   0,  0,0,0,0,0,0,0},
    {0,0,                   0,  0,0,0,0,0,0,0},
    {0,0,                   0,  0,0,0,0,0,0,0},
    {0,0,                   0,  0,0,0,0,0,0,0},
    {0,0,                   0,  0,0,0,0,0,0,0},
    {0,SAMSARA_MARATHON,    0,  SAMSARA_MARATHON,SAMSARA_MARATHON,SAMSARA_MARATHON,SAMSARA_MARATHON,SAMSARA_MARATHON,SAMSARA_MARATHON,0},
    {0,0,                   0,  0,0,0,0,0,SAMSARA_QUAKE,0},
	{0,0,					0,	0,0,0,0,0,0,0},
	{0,0,					0,	0,0,0,0,0,0,0},
	{0,0,					0,	0,0,0,0,0,0,0},
    {0,0,                   0,  0,0,0,0,0,SAMSARA_STRIFESIGIL,0},
    {0,0,                   0,  0,0,0,0,0,SAMSARA_DOOM64,0},
	{0,0,					0,	0,0,0,0,0,0,0},
    {0,0,                   0,  0,0,0,0,0,0,0},		
    {0,0,                   0,  0,0,0,0,0,SAMSARA_REBELMOON,0},			
};
